> ## Documentation Index
> Fetch the complete documentation index at: https://docs.kibocommerce.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Carrier Credential Sets

> Returns a collection of all carrier credential sets



## OpenAPI

````yaml /openapi/openapi_shipping_admin.json get /commerce/shipping/admin/carriers/credential-sets
openapi: 3.0.1
info:
  description: OpenAPI Spec for Kibo Shipping Admin Service
  title: Shipping Admin
  version: 0.0.1
servers:
  - description: Kibo Base URL
    url: '{baseUrl}/api'
    variables:
      baseUrl:
        default: https://t1000000.sb.usc1.gcp.kibocommerce.com
        description: Base URL
security:
  - bearerAuth: []
paths:
  /commerce/shipping/admin/carriers/credential-sets:
    get:
      tags:
        - CarrierCredentialSet
      summary: Get Carrier Credential Sets
      description: Returns a collection of all carrier credential sets
      parameters:
        - description: The starting index.
          in: query
          name: startIndex
          schema:
            format: int32
            type: integer
        - description: The page size.
          in: query
          name: pageSize
          schema:
            format: int32
            type: integer
        - description: Any sorting filters.
          in: query
          name: sortBy
          schema:
            type: string
        - description: Any query filters.
          in: query
          name: filter
          schema:
            type: string
        - description: limits which fields are returned in the response body
          in: query
          name: responseFields
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CarrierCredentialSetCollection'
            text/json:
              schema:
                $ref: '#/components/schemas/CarrierCredentialSetCollection'
            text/plain:
              schema:
                $ref: '#/components/schemas/CarrierCredentialSetCollection'
          description: Success
components:
  schemas:
    CarrierCredentialSetCollection:
      description: >-
        A collection of <see
        cref="T:Mozu.ShippingAdmin.Contracts.Carriers.CarrierCredentialSet">carrier
        credential sets</see>.
      properties:
        items:
          items:
            $ref: '#/components/schemas/CarrierCredentialSet'
          nullable: true
          type: array
        pageCount:
          format: int32
          type: integer
        pageSize:
          format: int32
          type: integer
        startIndex:
          format: int32
          type: integer
        totalCount:
          format: int32
          type: integer
      type: object
    CarrierCredentialSet:
      description: "Stores a set of <see cref=\"T:Mozu.ShippingAdmin.Contracts.Carriers.CarrierCredentialSetValue\">carrier credential key-value pairs</see>.\r\nSets are stored at the tenant level and referenced by a Mozu.ShippingAdmin.Contracts.Carriers.CarrierCredential."
      properties:
        auditInfo:
          $ref: '#/components/schemas/AdminUserAuditInfo'
        carrierId:
          description: "The Carrier ID associated with this credential set.\r\nUsually the short name of a carrier (e.g., \"FedEx\")."
          nullable: true
          type: string
        code:
          description: "A unique code identifying this credential set.\r\nThe code is only guaranteed to be unique at the tenant and carrier level."
          nullable: true
          type: string
        integrationId:
          description: Specifies the ID returned from an integration.
          nullable: true
          type: string
        name:
          description: A name (i.e., nickname) for this credential set.
          nullable: true
          type: string
        values:
          description: A collection of values contained in this credential set.
          items:
            $ref: '#/components/schemas/CarrierCredentialSetValue'
          nullable: true
          type: array
      type: object
    AdminUserAuditInfo:
      properties:
        createBy:
          nullable: true
          type: string
        createDate:
          format: date-time
          nullable: true
          type: string
        updateBy:
          nullable: true
          type: string
        updateDate:
          format: date-time
          nullable: true
          type: string
      type: object
    CarrierCredentialSetValue:
      properties:
        key:
          nullable: true
          type: string
        value:
          nullable: true
          type: string
      type: object
  securitySchemes:
    bearerAuth:
      bearerFormat: JWT
      description: JWT Authorization header using the Bearer scheme.
      scheme: bearer
      type: http

````